//--------------------------------------------------------------------------------------

#include <stdlib.h>	// malloc/free

#ifdef CHECK_MALLOC
// テスト中
void	*_malloc(size_t size,int lineno,char *fname);
void	*_realloc1(void *ptr,size_t size,int lineno,char *fname);
void	_free(void *ptr,int lineno,char *fname);
void 	_dispAllalloc(void);

#define	dispAllalloc()		_dispAllalloc()
#define malloc2(ptr)		_malloc(ptr,__LINE__,__FILE__)
#define realloc2(ptr,size)	_realloc1(ptr,size,__LINE__,__FILE__)
#define free2(ptr)		  	_free(ptr,__LINE__,__FILE__)

#else
// 本番
void	*_malloc(size_t size);
void	*_realloc1(void *ptr,size_t size);
void	_free(void *ptr);

#define	dispAllalloc()	// 本番では削除
#define malloc2(ptr)		_malloc(ptr)
#define realloc2(ptr,size)	_realloc1(ptr,size)
#define free2(ptr)			_free(ptr)
#endif
void	freeAll(void);

//--------------------------------------------------------------------------------------
// _realloc()がコンパイル設定によってはエラーが出るので_realloc1()に変更